<%--
Imode戻るボタンエラー画面
--%>
<%@ page contentType="text/html; charset=shift_jis" pageEncoding="shift_jis"%>
<%@ page import="jp.co.ntt.lms.lo.scorm.util.SG"%>

<%@ page import="jp.co.ntt.lms.imode.common.MobConst"%>
<%@ page import="jp.co.ntt.lms.imode.extension.PageSequence"%>

<%@ page import="jp.co.ntt.lms.lo.scorm.engine.ExecuteParameters"%>
<%@ page import="jp.co.ntt.lms.xms.framework.XmsRequest"%>
<%@ page import="jp.co.ntt.lms.imode.lo.scorm.engine.ForceSuspendLearn"%>

<%
// セッションからページ管理クラス取得
PageSequence objps = (PageSequence)session.getAttribute(MobConst.S_PAGE_SEQ);
String strUrl = objps.getScoUrl();
// debug print
System.out.println("current Url = " + strUrl);
String returnURL;
String returnDesp;
if (strUrl == null || strUrl.equals("")) {
    // セッションからreturnURL取得
    returnURL = (String)session.getAttribute("MOBILE.RETURN_URL");
    returnDesp = "今一度";

    // セッションからreturnURLが取得できない場合
    if (returnURL == null) {
    	// ログイン画面に戻る
    	StringBuffer sbDefaultURL = new StringBuffer();
    	// プロトコル取得
    	sbDefaultURL.append(request.getScheme());
    	sbDefaultURL.append("://");
    	// 管理系サーバ名取得
    	sbDefaultURL.append(SG.get("ManagerName"));
    	// 初期画面ＵＲＬ
    	sbDefaultURL.append("/xms2/");
    	returnURL = sbDefaultURL.toString();
    	returnDesp = "ログイン画面へ戻る";
    }
    // 強制終了
    // 起動パラメータクラス取得
    ExecuteParameters executeParameters = (ExecuteParameters)session.getAttribute("SCORM.EXECUTE_PARAMETERS");
    if (executeParameters != null) {
    	// エンジンキー作成
    	String engineKeyName =
    		"SCORM." + executeParameters.getUserID() + "." +
    		 executeParameters.getLOID() + ".ENGINE";
    	XmsRequest xmsRequest = new XmsRequest(request, response);

    	// 強制終了処理
    	ForceSuspendLearn fsl = new ForceSuspendLearn(engineKeyName);
    	fsl.request(xmsRequest);
    }
} else {
	String strFwUrl;
	if (strUrl.endsWith(".html") || strUrl.endsWith(".htm")) {
		// ＨＴＭＬファイル
		strFwUrl = MobConst.C_COM_HTML_PATH;
		request.setAttribute("MOBILE.DISP.URL", strUrl);
	} else {
		// ＪＳＰファイル
		strFwUrl = "/" + strUrl;
	}
	System.out.println("forward(" + strFwUrl + ")");
    pageContext.forward(strFwUrl);
    return;
}

%>

<html>
<head>
   <title> "ＳＥＱエラー画面" </title>
</head>
<body>
<pre>
携帯電話の「戻る」ボタンは使用できません。学習履歴が正しく登録できませんので、お手数ですが、以下の「今一度」ボタンより、再度学習をお願いします。

<a href="<%=returnURL%>"><%=returnDesp%></a>
</pre>
</body>
</html>
